Publish, schedule, cancel, or direct-publish (as-is) social content
curl --request POST \
--url https://www.citedy.com/api/agent/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"adaptationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduledAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://www.citedy.com/api/agent/publish"
payload = {
"adaptationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduledAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
adaptationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scheduledAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://www.citedy.com/api/agent/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"adaptationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "<string>",
"platformPostId": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"messageId": "<string>",
"deduplicated": true,
"warning": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Publishing
Publish, schedule, cancel, or direct-publish (as-is) social content
POST
/
api
/
agent
/
publish
Publish, schedule, cancel, or direct-publish (as-is) social content
Authorizations
Bearer citedy_agent_* key
Body
application/json
- Option 1
- Option 2
Available options:
now, schedule, cancel Available options:
facebook, linkedin, x_article, x_thread, reddit, threads, instagram, instagram_reels, youtube_shorts Required if action=schedule. Must be a future date.
Response
Publish action completed
Available options:
now, schedule, cancel, publish_raw Present when action=now
Present when action=publish_raw
Present when action=schedule
QStash message ID for scheduled publish
True if publish was skipped because already published
Present when publish_raw encounters a non-fatal issue
⌘I
